#include <bits/stdc++.h>
#define MAXN 1000005
using namespace std;

int a[MAXN];

void ispisi(int n)
{
    for(int i=0;i<n;i++) printf("%d ",a[i]);
}

int main()
{ int n,cnt=0,eq=0,i;
scanf("%d",&n);

for(i=0;i<n;i++) scanf("%d",&a[i]);

for(i=0;i<n-1;i++)
{
    if(a[i]==a[i+1]) eq++;

    if(a[i]<a[i+1])
    {
        cnt++;
        swap(a[i],a[i+1]);
        break;
    }
}

if(cnt==0 && eq==0) swap(a[n-2],a[n-1]);

ispisi(n);
    return 0;
}